Package org.wso2.carbon.logging.admin.stub

## Class LoggingAdminStub

- java.lang.Object
- - org.apache.axis2.client.Stub
  - - org.wso2.carbon.logging.admin.stub.LoggingAdminStub

- All Implemented Interfaces:
    `LoggingAdmin`

      public class LoggingAdminStub
      extends org.apache.axis2.client.Stub
      implements LoggingAdmin

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `protected org.apache.axis2.description.AxisOperation[]` | `_operations` |

    - ### Fields inherited from class org.apache.axis2.client.Stub

      `_service, _serviceClient, modules`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `LoggingAdminStub()` | Default Constructor
    `LoggingAdminStub​(String targetEndpoint)` | Constructor taking the target endpoint
    `LoggingAdminStub​(org.apache.axis2.context.ConfigurationContext configurationContext)` | Default Constructor
    `LoggingAdminStub​(org.apache.axis2.context.ConfigurationContext configurationContext, String targetEndpoint)` | Constructor that takes in a configContext
    `LoggingAdminStub​(org.apache.axis2.context.ConfigurationContext configurationContext, String targetEndpoint, boolean useSeparateListener)` | Constructor that takes in a configContext and useseperate listner

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `addLogger​(String loggerName47, String loggerClass48, String logLevel49)` | Auto generated method signature
    `LoggerData[]` | `getAllLoggerData​(boolean beginsWith39, String logNameFilter40)` | Auto generated method signature
    `LoggerData` | `getLoggerData​(String loggerName35)` | Auto generated method signature
    `String` | `getLoggers()` | Auto generated method signature
    `boolean` | `isLoggerExist​(String loggerName31)` | Auto generated method signature
    `void` | `startgetAllLoggerData​(boolean beginsWith39, String logNameFilter40, LoggingAdminCallbackHandler callback)` | Auto generated method signature for Asynchronous Invocations
    `void` | `startgetLoggerData​(String loggerName35, LoggingAdminCallbackHandler callback)` | Auto generated method signature for Asynchronous Invocations
    `void` | `startgetLoggers​(LoggingAdminCallbackHandler callback)` | Auto generated method signature for Asynchronous Invocations
    `void` | `startisLoggerExist​(String loggerName31, LoggingAdminCallbackHandler callback)` | Auto generated method signature for Asynchronous Invocations
    `void` | `updateLoggerData​(String loggerName44, String logLevel45)` | Auto generated method signature

    - ### Methods inherited from class org.apache.axis2.client.Stub

      `_getServiceClient, _setServiceClient, addAnonymousOperations, addHeader, addHeader, addHttpHeader, addPropertyToOperationClient, addPropertyToOperationClient, addPropertyToOperationClient, cleanup, createEnvelope, finalize, getFactory, setMustUnderstand, setServiceClientEPR`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### _operations

          protected org.apache.axis2.description.AxisOperation[] _operations

  - ### Constructor Detail

    - #### LoggingAdminStub

          public LoggingAdminStub​(org.apache.axis2.context.ConfigurationContext configurationContext,
                                  String targetEndpoint)
                           throws org.apache.axis2.AxisFault

      Constructor that takes in a configContext
      Throws:
        `org.apache.axis2.AxisFault`

    - #### LoggingAdminStub

          public LoggingAdminStub​(org.apache.axis2.context.ConfigurationContext configurationContext,
                                  String targetEndpoint,
                                  boolean useSeparateListener)
                           throws org.apache.axis2.AxisFault

      Constructor that takes in a configContext and useseperate listner
      Throws:
        `org.apache.axis2.AxisFault`

    - #### LoggingAdminStub

          public LoggingAdminStub​(org.apache.axis2.context.ConfigurationContext configurationContext)
                           throws org.apache.axis2.AxisFault

      Default Constructor
      Throws:
        `org.apache.axis2.AxisFault`

    - #### LoggingAdminStub

          public LoggingAdminStub()
                           throws org.apache.axis2.AxisFault

      Default Constructor
      Throws:
        `org.apache.axis2.AxisFault`

    - #### LoggingAdminStub

          public LoggingAdminStub​(String targetEndpoint)
                           throws org.apache.axis2.AxisFault

      Constructor taking the target endpoint
      Throws:
        `org.apache.axis2.AxisFault`

  - ### Method Detail

    - #### isLoggerExist

          public boolean isLoggerExist​(String loggerName31)
                                throws RemoteException,
                                       LoggingAdminIOException

      Auto generated method signature
      Specified by:
        `isLoggerExist` in interface `LoggingAdmin`
      Parameters:
        `isLoggerExist30` -
      Throws:
        `LoggingAdminIOException` - :
        `RemoteException`
      See Also:
        `LoggingAdmin.isLoggerExist(java.lang.String)`

    - #### startisLoggerExist

          public void startisLoggerExist​(String loggerName31,
                                         LoggingAdminCallbackHandler callback)
                                  throws RemoteException

      Auto generated method signature for Asynchronous Invocations
      Specified by:
        `startisLoggerExist` in interface `LoggingAdmin`
      Parameters:
        `isLoggerExist30` -
      Throws:
        `RemoteException`
      See Also:
        `LoggingAdmin.startisLoggerExist(java.lang.String, org.wso2.carbon.logging.admin.stub.LoggingAdminCallbackHandler)`

    - #### getLoggerData

          public LoggerData getLoggerData​(String loggerName35)
                                   throws RemoteException,
                                          LoggingAdminIOException

      Auto generated method signature
      Specified by:
        `getLoggerData` in interface `LoggingAdmin`
      Parameters:
        `getLoggerData34` -
      Throws:
        `LoggingAdminIOException` - :
        `RemoteException`
      See Also:
        `LoggingAdmin.getLoggerData(java.lang.String)`

    - #### startgetLoggerData

          public void startgetLoggerData​(String loggerName35,
                                         LoggingAdminCallbackHandler callback)
                                  throws RemoteException

      Auto generated method signature for Asynchronous Invocations
      Specified by:
        `startgetLoggerData` in interface `LoggingAdmin`
      Parameters:
        `getLoggerData34` -
      Throws:
        `RemoteException`
      See Also:
        `LoggingAdmin.startgetLoggerData(java.lang.String, org.wso2.carbon.logging.admin.stub.LoggingAdminCallbackHandler)`

    - #### getAllLoggerData

          public LoggerData[] getAllLoggerData​(boolean beginsWith39,
                                               String logNameFilter40)
                                        throws RemoteException,
                                               LoggingAdminIOException

      Auto generated method signature
      Specified by:
        `getAllLoggerData` in interface `LoggingAdmin`
      Parameters:
        `getAllLoggerData38` -
      Throws:
        `LoggingAdminIOException` - :
        `RemoteException`
      See Also:
        `LoggingAdmin.getAllLoggerData(boolean, java.lang.String)`

    - #### startgetAllLoggerData

          public void startgetAllLoggerData​(boolean beginsWith39,
                                            String logNameFilter40,
                                            LoggingAdminCallbackHandler callback)
                                     throws RemoteException

      Auto generated method signature for Asynchronous Invocations
      Specified by:
        `startgetAllLoggerData` in interface `LoggingAdmin`
      Parameters:
        `getAllLoggerData38` -
      Throws:
        `RemoteException`
      See Also:
        `LoggingAdmin.startgetAllLoggerData(boolean, java.lang.String, org.wso2.carbon.logging.admin.stub.LoggingAdminCallbackHandler)`

    - #### updateLoggerData

          public void updateLoggerData​(String loggerName44,
                                       String logLevel45)
                                throws RemoteException,
                                       LoggingAdminIOException,
                                       LoggingAdminConfigurationException

      Auto generated method signature
      Specified by:
        `updateLoggerData` in interface `LoggingAdmin`
      Throws:
        `LoggingAdminIOException` - :
        `LoggingAdminConfigurationException` - :
        `RemoteException`

    - #### addLogger

          public void addLogger​(String loggerName47,
                                String loggerClass48,
                                String logLevel49)
                         throws RemoteException,
                                LoggingAdminIOException,
                                LoggingAdminConfigurationException

      Auto generated method signature
      Specified by:
        `addLogger` in interface `LoggingAdmin`
      Throws:
        `LoggingAdminIOException` - :
        `LoggingAdminConfigurationException` - :
        `RemoteException`

    - #### getLoggers

          public String getLoggers()
                            throws RemoteException,
                                   LoggingAdminIOException

      Auto generated method signature
      Specified by:
        `getLoggers` in interface `LoggingAdmin`
      Parameters:
        `getLoggers50` -
      Throws:
        `LoggingAdminIOException` - :
        `RemoteException`
      See Also:
        `LoggingAdmin.getLoggers()`

    - #### startgetLoggers

          public void startgetLoggers​(LoggingAdminCallbackHandler callback)
                               throws RemoteException

      Auto generated method signature for Asynchronous Invocations
      Specified by:
        `startgetLoggers` in interface `LoggingAdmin`
      Parameters:
        `getLoggers50` -
      Throws:
        `RemoteException`
      See Also:
        `LoggingAdmin.startgetLoggers(org.wso2.carbon.logging.admin.stub.LoggingAdminCallbackHandler)`